package com.inspect.patrol.service;

import com.inspect.patrol.domain.PatrolDevice;
import com.inspect.patrol.domain.PatrolLinkagePos;
import com.inspect.patrol.domain.PatrolPoint;
import com.inspect.patrol.linkage.block.IBlock;
import com.inspect.patrol.model.LinkageActionConfig;

import java.util.List;

public interface IPatrolLinkagePosService {
    PatrolLinkagePos selectPatrolLinkagePosByLinkagePosId(Long posId);

    List<PatrolPoint> selectPatrolPointList(String key);

    List<PatrolLinkagePos> selectPatrolLinkagePosList(PatrolLinkagePos pos);

    List<PatrolDevice> selectDeviceByAreaId(String areaId);

    int insertPatrolLinkagePos(List<IBlock> blockList);

    int updatePatrolLinkagePos(PatrolLinkagePos pos);

    int updateLinkageActionConfig(List<LinkageActionConfig> configList);

    int deletePatrolLinkagePosByLinkagePosIds(Long[] posIds);

    int deletePatrolLinkagePosByLinkagePosId(Long posId);
}
